var win = Ti.UI.currentWindow;


var sizefactor = Ti.App.SCREEN_WIDTH / 480;

var font26 = 26 * sizefactor;
var font24 = 24 * sizefactor;
var height125 = 125 * sizefactor;

var iconscale = 0.5;

var introleft = (249*sizefactor*iconscale)+5;


var intro ="Grazie per aver scelto di provare la nostra applicazione. Qui di seguito trovate alcuni suggerimenti riguardo funzionalità che potrebbero non essere subito evidenti.";

var riga1label = "LA FINESTRA DI AVVIO";
var riga1content = "L'applicazione mostra all'avvio la lista delle ultime novità. Se preferite invece che parta con la lista delle città per consentirvi di scegliere più velocemente la vostra preferita, premete il tasto MENU, e poi da IMPOSTAZIONI cercate la voce SCHERMATA DI AVVIO.";

var riga2label = "GALLERIA FOTOGRAFICA ";
var riga2content = "Quando selezionate un annuncio potete vedere la galleria fotografica anche cliccando sulla prima foto, quella sopra al numero telefonico. Come visualizzazione predefinita verranno mostrate le anteprime di tutte le foto, se invece preferite che si avvii subito con la galleria, andate sempre nel menu IMPOSTAZIONI e cercate la voce VISUALIZZAZIONE PREFERITA";

var riga3label = "CONDIVIDI ";
var riga3content = "Premendo il tasto menu nella scheda di un annuncio, o su una delle foto della galleria, è possibile condividerla via email, facebook, twitter, ecc... i possibili sistemi di condivisione dipendono dalle applicazioni installate sul vostro dispositivo (es. per condividere su Facebook dovete installare l'applicazione Facebook)";

var riga4label = "ZOOM";
var riga4content = "Visualizzando una foto in galleria e premendo il tasto MENU è possibile attivare lo zoom sulla foto. Questo è particolarmente utile nei dispositivi con schermo piccolo e bassa risoluzione, ma non dà grandi vantaggi in quelli ad alta risoluzione (come il Nexus One o il Galaxy S), questo perchè le foto degli annunci che ci pervengono raramente sono di qualità molto alta, all'origine. Per lo stesso motivo la funzione non è attiva sui dispositivi con risoluzione HD (i tablet, per esempio)";

var riga5label = "CITTÀ PREFERITE";
var riga5content = "Tenendo premuto per due secondi il nome di una città della lista questa viene aggiunta alle città preferite, indicandola con una stellina gialla sulla sinistra. Al prossimo avvio le città selezionate saranno in cima alla lista. Lo stesso procedimento permette anche di togliere una città dalla lista delle preferite.";

var riga6label = "VERSIONE";
var riga6content = "Stai usando la versione 0.4.4";

var riga7label = "DISPOSITIVO";
var riga7content = Ti.App.SCREEN_HEIGHT+'x'+Ti.App.SCREEN_WIDTH+' '+Ti.Platform.displayCaps.dpi+' DPI ('+Ti.App.devicetype+')';



var PageData = [];


var row = Ti.UI.createTableViewRow();

// cpt. pablito
var img = Ti.UI.createImageView({
		image:'../capitanpablito.jpg',
		left:5,
		height:447*sizefactor*iconscale,
		width:249*sizefactor*iconscale
	});

// testo help
var row = Ti.UI.createTableViewRow();

var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:introleft,
		top:0,
		color:'black',
		bottom:10,
		text:intro
	});
	
row.add(label);	
row.add(img);
PageData.push(row);

// **********************  riga 1 ***********************
var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial',fontWeight:'bold'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga1label
	});

row.add(label);	
PageData.push(row);


var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga1content
	});

row.add(label);	
PageData.push(row);


// **********************  riga 2 ***********************
var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial',fontWeight:'bold'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga2label
	});

row.add(label);	
PageData.push(row);


var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga2content
	});

row.add(label);	
PageData.push(row);



// **********************  riga 3 ***********************
var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial',fontWeight:'bold'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga3label
	});

row.add(label);	
PageData.push(row);


var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga3content
	});

row.add(label);	
PageData.push(row);


// **********************  riga 4 ***********************
var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial',fontWeight:'bold'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga4label
	});

row.add(label);	
PageData.push(row);


var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga4content
	});

row.add(label);	
PageData.push(row);


// **********************  riga 5 ***********************
var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial',fontWeight:'bold'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga5label
	});

row.add(label);	
PageData.push(row);


var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga5content
	});

row.add(label);	
PageData.push(row);




// **********************  riga 6 ***********************
var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial',fontWeight:'bold'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga6label
	});

row.add(label);	
PageData.push(row);


var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga6content
	});

row.add(label);	
PageData.push(row);



// **********************  riga 7 ***********************
var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial',fontWeight:'bold'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga7label
	});

row.add(label);	
PageData.push(row);


var row = Ti.UI.createTableViewRow();
var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:0,
		color:'black',
		bottom:0,
		text:riga7content
	});

row.add(label);	
PageData.push(row);






var headerViewAbout = Ti.UI.createView({height:'auto'});

var headerLabelAbout = Ti.UI.createLabel({
    text:'HELP',
    height:'auto',
    width:'1920',
    color:'#eff7fa',
    font:{fontFamily:'Arial',fontSize:font24,fontWeight:'bold'},
    textAlign:'center',    
	backgroundImage:'../headerbg.png',
	bottom:0
});





headerViewAbout.add(headerLabelAbout);



var footerViewAbout = Ti.UI.createView({height:'auto'});

var footerLabelAbout = Ti.UI.createLabel({
    text:'visita il sito web: www.pablitoescort.com',
    height:'auto',
    width:'100%',
    shadowColor:'#555655',
    shadowOffset:{x:5,y:5},
    color:'blue',
    font:{fontSize:font24},
    textAlign:'center',    
	backgroundColor:'#FFFFFF',
	top:10,
	bottom:20 
});

footerViewAbout.add(footerLabelAbout);


var table = Ti.UI.createTableView({
  backgroundColor:"white",
  separatorColor:"white",
  data: PageData,
  top:0,
  right:0,
  left:0,
  headerView:headerViewAbout,
  footerView:footerViewAbout
});

win.add(table);


footerViewAbout.addEventListener('click', function(e)
{
//open link 
Titanium.Platform.openURL('http://www.pablitoescort.com/?app=1');
});




