var win = Titanium.UI.currentWindow;
win.backgroundColor = '#ffffff';

var sizefactor = Ti.App.SCREEN_WIDTH / 480;

var font26 = 26 * sizefactor;
var font24 = 24 * sizefactor;
var height125 = 125 * sizefactor;


var testoupdate ="Questa funzione aggiorna da Internet tutte le schede di tutte le città (ma non le foto) per poterle consultare in assenza di connessione. Se pensi che userai questa applicazione in presenza di connessione Internet, questa funzione non ti occorre e non ti offrirà nessun beneficio";

var PageData = [];

// icona update
var row = Ti.UI.createTableViewRow();
var img = Ti.UI.createImageView({
		image:'../update.png',
		left:5,
		top:10,
		height:128*sizefactor,
		width:128*sizefactor
	});
row.add(img);
PageData.push(row);

// testo update
var row = Ti.UI.createTableViewRow();

var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:10*sizefactor,
		color:'black',
		bottom:10*sizefactor,
		text:testoupdate
	});
	
row.add(label);	
PageData.push(row);

var row = Ti.UI.createTableViewRow();

var ind=Titanium.UI.createProgressBar({
	width:320*sizefactor,
	height:100*sizefactor,
	min:0,
	max:1,
	value:0,
	style:Titanium.UI.iPhone.ProgressBarStyle.PLAIN,
	top:10*sizefactor,
	message:'Downloading...',
	font:{fontSize:12, fontWeight:'bold'},
	color:'#888'
});


row.add(ind);	
PageData.push(row);

var row = Ti.UI.createTableViewRow();

var OKButton = Titanium.UI.createButton({
	title:'OK, scarica...',
	height:80*sizefactor,
	width:200*sizefactor,
	top:5*sizefactor,
	left:0
});


var CancelButton = Titanium.UI.createButton({
	title:'Non mi occorre...',
	height:80*sizefactor,
	width:200*sizefactor,
	top:5*sizefactor,
	left:250*sizefactor
});


row.add(OKButton);	
row.add(CancelButton);
PageData.push(row);




var table = Ti.UI.createTableView({
  backgroundColor:"white",
  separatorColor:"white",
  data: PageData,
  top:0,
  right:0,
  left:0
});

win.add(table);




OKButton.addEventListener('click', function()
{

ind.show();
	
	var dbPath = 'file:///data/data/' + Ti.App.getID() + '/databases/';
	var fileDB = Ti.Filesystem.getFile(dbPath+'pablitodb');
	ind.value = 0;
	c = Titanium.Network.createHTTPClient();
	c.setTimeout(10000);
	c.onload = function(e)
	{
        fileDB.write(c.responseData);
        
        var a = Titanium.UI.createAlertDialog({
		title:'Terminato',
		message:'Il database per la navigazione offline è stato aggiornato con successo'
	});
	a.show();
	setTimeout(function()
	{
		a.hide();
		win.title="strumenti";
		win.close();
	},2000);
        
        
        
	};
	c.ondatastream = function(e)
	{
		ind.value = e.progress ;
	};
	c.onerror = function(e)
	{
		Ti.UI.createAlertDialog({title:'Ops!', message:'Pare ci sia un problema aggiornando i dati...'}).show();
	};

	c.open('GET','http://www.pablitoescort.com/appfeed/pablitodbupdate.db');
	c.send();
});



CancelButton.addEventListener('click', function()
{
	win.title="strumenti";
	win.close();
});





// apertura finestra
win.addEventListener('open', function(e)
{

 ind.hide();
 
});