/*
roba per debug:
Titanium.API.debug(JSON.stringify(obj));
Titanium.API.debug('testo');


var props = Titanium.App.Properties.listProperties();
for (var c=0;c<props.length;c++)
{
    var value = Titanium.App.Properties.getString(props[c]);
    Titanium.API.info(props[c]+" = "+value);
}

if(isNaN(Ti.App.SCREEN_WIDTH)){
Titanium.API.debug ("this is not a number ");
}else{Titanium.API.debug ("this is a number ");
} 

*/

Titanium.API.debug('debug:app starts');

// privacy: cancello eventuali immagini temporanee della funzione share
SetPrivacySD();


//*****************************************************************
// conteggio anonimo installazioni
var actualversion=0;
var appversion=44;
var platformmodel=Titanium.Platform.model;
var platformversion=Titanium.Platform.version;

// esiste una variabile di versione?
if(Titanium.App.Properties.hasProperty("actualversion")!= null)
 {
	var actualversion=Titanium.App.Properties.getInt("actualversion");
	if((actualversion < appversion)&& (actualversion > 0)) 
	 { 
	 	var status="UPG"; // aggiornamento
	 	Ti.App.Properties.setInt('actualversion', appversion);
	 	
	 } else 
	 {
	 	if(actualversion==0 || actualversion==null)
	 	{
 		var status="NEW"; // nuova installazione
	 	Ti.App.Properties.setInt('actualversion', appversion);
	 	actualversion=0;	 		
	 	} else 
	 	{
	 	var status="EXE";} // normale esecuzione del programma
	 	}	
 } else {
 	
 		var status="NEW"; // nuova installazione
	 	Ti.App.Properties.setInt('actualversion', appversion);
 	
 }

var lxhr = Ti.Network.createHTTPClient();
var openlog="http://www.pablitoescort.com/appfeed/applog.php?v="+appversion+"&pm="+platformmodel+"&pv="+platformversion+"&st="+status+"&act="+actualversion;
lxhr.open("GET",openlog);
lxhr.send();


//**********************************************************************

// dimensioni schermo in pixel indipendenti dall'orientamento
var pWidth = Ti.Platform.displayCaps.platformWidth;
var pHeight = Ti.Platform.displayCaps.platformHeight;
Ti.App.SCREEN_WIDTH = (pWidth > pHeight) ? pHeight : pWidth;
Ti.App.SCREEN_HEIGHT = (pWidth > pHeight) ? pWidth : pHeight;


// su che tipo di device stiamo girando
// 1=smartphone LDPI
// 2=smartphone MDPI
// 3=smartphone HDPI
// 4=smartphone XHDPI (note - SIII)
// 5=tablet 7" 1024x768
// 6=tablet 7" 1280x800
// 7=tablet 10" 1280x800

var dpi=Ti.Platform.displayCaps.dpi;

Ti.App.devicetype=2;

if(Ti.App.SCREEN_HEIGHT == 320 ) {Ti.App.devicetype=1;}
if(Ti.App.SCREEN_HEIGHT == 480 ) {Ti.App.devicetype=2;}
if(Ti.App.SCREEN_HEIGHT >= 800 && dpi > 200) {Ti.App.devicetype=3;}
if(Ti.App.SCREEN_HEIGHT >= 1280 && dpi > 270) {Ti.App.devicetype=4;}
if(Ti.App.SCREEN_HEIGHT >= 1024 && dpi < 180) {Ti.App.devicetype=5;}
if(Ti.App.SCREEN_HEIGHT >= 1280 && dpi > 180) {Ti.App.devicetype=6;}
if(Ti.App.SCREEN_HEIGHT >= 1280 && dpi < 180) {Ti.App.devicetype=7;}

Titanium.API.debug('device type = '+Ti.App.devicetype+' '+dpi+' '+Ti.App.SCREEN_WIDTH +'x'+Ti.App.SCREEN_HEIGHT);



// flag
Ti.App.CURRENTPIC=-1; //globale: immagine corrente da impostare nella gallery 


//**********************************************************************

// preferenze: gallery style, 1 = anteprime (default) / 2 = galleria
if(Titanium.App.Properties.hasProperty("gallerystyle")!= null)
 {
 	var gallerystyle = Titanium.App.Properties.getString("gallerystyle");
 } 
if(gallerystyle==null){gallerystyle = '1';}

// preferenze: dimensione del testo, 1 = piccolo / 2 = medio (default) / 3 = grande
if(Titanium.App.Properties.hasProperty("textsize")!= null)
 {
 	var textsize = Titanium.App.Properties.getString("textsize");
 }
 if(textsize==null){textsize = '2';}
 

//preferenze: città preferite
if(Titanium.App.Properties.hasProperty("favcity")!= null)
 { 
 var favcity = Titanium.App.Properties.getList("favcity");
 }
if(favcity==null){favcity=['favcity'];}


//preferenze: schermata di avvio, 1 = città / 2 = novità
if(Titanium.App.Properties.hasProperty("showfirst")!= null)
 { 
 var showfirst = Titanium.App.Properties.getString("showfirst");
 }
if(showfirst==null){showfirst='1';}


// preferenze: db cache: true / false
if(Titanium.App.Properties.hasProperty("cachepref")!= null)
 {
 	var cachepref = Titanium.App.Properties.getBool("cachepref");
 } 
if(cachepref==null){cachepref = false;}


// preferenze: ricorda ultima città: true / false
if(Titanium.App.Properties.hasProperty("lastcitypref")!= null)
 {
 	var lastcitypref = Titanium.App.Properties.getBool("lastcitypref");
 	var lastselectedcity = Titanium.App.Properties.getInt("lastselectedcity");
 } 
if(lastcitypref==null){lastcitypref = false;}


// preferenze: Carica solo le città preferite
if(Titanium.App.Properties.hasProperty("loadcityprefonly")!= null)
 {
 	var loadcityprefonly = Titanium.App.Properties.getBool("loadcityprefonly");
 } 
if(loadcityprefonly==null){loadcityprefonly = false;}






//**********************************************************************

// size factor
var sizefactor = Ti.App.SCREEN_WIDTH / 480;
var font20 = 20 * sizefactor;
var font28 = 28 * sizefactor;
var font26 = 26 * sizefactor;
var font24 = 24 * sizefactor;

// preferenza font
switch (textsize) {
  case '1':
    var font26 = 22 * sizefactor;
  break;

  case '2':
    var font26 = 26 * sizefactor;
  break;

  case '3':
    var font26 = 28 * sizefactor;
  break;

  default:
   var font26 = 26 * sizefactor;
} 




//********************************************
// alert dialog

// avviso off-line
var offlineadvise = Titanium.UI.createAlertDialog({
title:'Connessione mancante',
message:"Non ho trovato una connessione dati attiva, l'applicazione funzionerà, ma potrebbe mostrare dati incompleti e non aggiornati"
});



// CITTA
var WinCity = Titanium.UI.createWindow({  
    title:'Pablitoescort Escort',
    backgroundColor:'#ffffff',
    url:'windows/WinCity.js',
    navBarHidden : true
    
});


// NEWS
var WinNews = Titanium.UI.createWindow({  
    title:'NOVITÀ',
    backgroundColor:'#ffffff',
    url:'windows/xml_rss.js',
    catid:9999,
    navBarHidden : false
    
});


// ABOUT (furgone)
var WinAbout = Titanium.UI.createWindow({  
	url:'windows/about.js',
    title:'Pablitoescort Escort',
    backgroundColor:'#ffffff'
}); 


// HELP 
var WinHelp = Titanium.UI.createWindow({  
	url:'windows/help.js',
    title:'Pablitoescort Escort',
    backgroundColor:'#ffffff'
}); 




var headerVieweCity = Ti.UI.createView({height:'auto'});
 
var headerLabelCity = Ti.UI.createLabel({
    text:'SCEGLI UNA CITTÀ',
    height:'auto',
    width:'1920',
    color:'#eff7fa',
    font:{fontFamily:'Arial',fontSize:font24,fontWeight:'bold'},
    textAlign:'center',    
	backgroundImage:'headerbg.png',
	bottom:0

});
 
  
headerVieweCity.add(headerLabelCity);

var TableViewCity =  Titanium.UI.createTableView({
    top:0,
    right:0,
    left:0,
    headerView:headerVieweCity
});




///////////////////////////////////////////////////////////////////

if(Titanium.Network.online)
{


var actInd = Titanium.UI.createActivityIndicator({
	bottom:10, 
	height:50,
	width:10
});

	actInd.color = 'white';
	actInd.message = 'Aggiornamento dati...';
	actInd.width = 210;


var xhr = Ti.Network.createHTTPClient();
var openfeed="http://www.pablitoescort.com/appfeed/city.xml";
xhr.open("GET",openfeed);
xhr.onload = function()
{
	try
	{
		
		// DATABASE (installo il default se non trovato)
		//var db = Titanium.Database.open('pablitodb');
		var db = Titanium.Database.install('pablitodb.db','pablitodb');
		if(!cachepref){db.execute('DROP TABLE IF EXISTS CITY');}
		if(!cachepref){db.execute('CREATE TABLE IF NOT EXISTS CITY  (ID INTEGER, CITTA TEXT, ESCORT INTEGER, TRANS INTEGER)');}
		
		
		
		actInd.show();
		
		var doc = this.responseXML.documentElement;
		var items = doc.getElementsByTagName("item");
		

		var x = 0;
		
		
		
		
	// due giri, il primo per i preferiti	
	var rowcount=0;
	
	// carico solo le preferite?
	if(loadcityprefonly)
	{
	if(favcity.length > 1) {var limit=1;} else {var limit=2;}
	} else {var limit=2;}
	
	for (var cc=0;cc<limit;cc++)
	 {

		for (var c=0;c<items.length;c++)
		{		
				var item = items.item(c);
				
				var city   = item.getElementsByTagName("city").item(0).textContent;
				var escort = item.getElementsByTagName("escort").item(0).textContent;
				var trans  = item.getElementsByTagName("trans").item(0).textContent;
				
				//rowcolor='#eff7fa';
				if(rowcount % 2 == 1){var rowcolor='#dddbde';} else {var rowcolor='#efefef';}

				if(in_array(favcity,city)) {txtimg='star.png';} else {txtimg='listdot.png';}
				
				var row = Titanium.UI.createTableViewRow({hasChild:true, city:city, escort_cat:escort, trans_cat:trans,backgroundColor:rowcolor,className:txtimg});

				
		
				

				if(cc==0 && txtimg=='star.png')
				{
					
					var iconstar =  Titanium.UI.createImageView({image:txtimg,left:0,height:24,width:24,top:8});				
					row.add(iconstar);

					var label = Titanium.UI.createLabel({font:{fontSize:font26, fontFamily:'Arial'},height:'auto',width:'auto',left:28,top:0,color:'#000',bottom:10,text:city});
					row.add(label);
					
					
					TableViewCity.appendRow(row);
					if(!cachepref){db.execute('INSERT INTO CITY (ID, CITTA, ESCORT, TRANS ) VALUES(?,?,?,?)',c,city,escort,trans);}
					rowcount++; // per i colori	
				}
				
				if(cc==1 && txtimg=='listdot.png')
				{
					
					var iconstar =  Titanium.UI.createImageView({image:txtimg,left:0,height:24,width:24,top:8});				
					row.add(iconstar);

					var label = Titanium.UI.createLabel({font:{fontSize:font26, fontFamily:'Arial'},height:'auto',width:'auto',left:28,top:0,color:'#000',bottom:10,text:city});
					row.add(label);
					
					
					TableViewCity.appendRow(row);
					if(!cachepref){db.execute('INSERT INTO CITY (ID, CITTA, ESCORT, TRANS ) VALUES(?,?,?,?)',c,city,escort,trans);}
					rowcount++; // per i colori	
				}	
				
						
				

		}
	}	
	
	
	if(loadcityprefonly)
	{
	rowcount++
	if(rowcount % 2 == 1){var rowcolor='#dddbde';} else {var rowcolor='#efefef';}
	var row = Titanium.UI.createTableViewRow({hasChild:false,city:'none',backgroundColor:rowcolor,className:'filtro'});
	var label = Titanium.UI.createLabel({font:{fontSize:font24, fontFamily:'Arial'},height:'auto',width:'auto',left:28,top:0,color:'#989898',bottom:10,text:'Filtro attivo su città preferite, disattivalo nelle opzioni se vuoi tornare a vedere tutte le città'});
	row.add(label);
	TableViewCity.appendRow(row);
	}	
		
		
		// chiudo il db
		db.close();
		
		
	actInd.hide();	
	
	// preseleziono la citta
	if(lastcitypref){TableViewCity.scrollToIndex(lastselectedcity);}
	
		
	}
	catch(E)
	{
		alert(E);
	}
};

} else {
	
// sono off-line

var db = Titanium.Database.install('pablitodb.db','pablitodb');

// due giri, il primo per i preferiti
var rowcount=0;	
for (var cc=0;cc<2;cc++)
 {
	var rows = db.execute('SELECT * FROM CITY');
	while (rows.isValidRow())
	{
		
		city=rows.fieldByName('CITTA');
		
		if(rowcount % 2 == 1){var rowcolor='#dddbde';} else {var rowcolor='#efefef';}
		
		
		if(in_array(favcity,city)) {txtimg='star.png';} else {txtimg='listdot.png';}
		
		var row = Titanium.UI.createTableViewRow({hasChild:true,city:city,escort_cat:rows.fieldByName('ESCORT'),trans_cat:rows.fieldByName('TRANS'),backgroundColor:rowcolor,className:txtimg});
		
		
		var iconstar =  Titanium.UI.createImageView({image:txtimg,left:0,height:24,width:24,top:8});				
		row.add(iconstar);
		
		var label = Titanium.UI.createLabel({font:{fontSize:font26, fontFamily:'Arial'},height:'auto',width:'auto',left:28,top:0,color:'#000',bottom:10,text:city});
		
		if(cc==0 && txtimg=='star.png')
		 {
		 	row.add(label);
			TableViewCity.appendRow(row);
			rowcount++; // per i colori
		 }
	
		if(cc==1 && txtimg=='listdot.png')
		 {
		 	row.add(label);
			TableViewCity.appendRow(row);
			rowcount++; // per i colori
		 }	
	
		rows.next();	
	}

 }


db.close();


// preseleziono la citta
   if(lastcitypref){TableViewCity.scrollToIndex(lastselectedcity);}


}




// apertura prima finestra
WinCity.addEventListener('open', function(e)
{
	checkReminderContest();
	
	if(Titanium.Network.online)
	 {
		actInd.show();
		xhr.send();
	} else {
		
	if(showfirst==2)
	{
		offlineadvise.buttonNames = ['OK'];
		offlineadvise.show();
	}
	
	}


////////////////////////////////////////////////////////////////////
// MENU

// CREATE ANDROID OPTIONS MENU (CITY)
var activity = WinCity.activity;
activity.onCreateOptionsMenu = function(e) {
    var menu = e.menu;
    var menuItem = menu.add({ title: "Impostazioni" });
    menuItem.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_preferences.png');
    menuItem.addEventListener("click", function(e) {
        Titanium.UI.Android.openPreferences();
    });
    
    var menuItem2 = menu.add({ title: "strumenti" });
    menuItem2.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_cut.png');
    menuItem2.addEventListener("click", function(e) {
        
				var winup = Titanium.UI.createWindow({
				url:'windows/utility.js',
				title:'strumenti'
			});
			tabGroupP1.activeTab.open(winup,{animated:true});


    });      
    

    
};

 
});







WinNews.addEventListener('open', function(e)
{
	
	checkReminderContest();


	if(showfirst==1 && !Titanium.Network.online)
	{
		offlineadvise.buttonNames = ['OK'];
		offlineadvise.show();
	}	

// CREATE ANDROID OPTIONS MENU (NEWS)
var activity = WinNews.activity;
activity.onCreateOptionsMenu = function(e) {

    var menu = e.menu;
    var menuItem = menu.add({ title: "Impostazioni" });
    menuItem.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_preferences.png');
    menuItem.addEventListener("click", function(e) {
        Titanium.UI.Android.openPreferences();
    });
    
    var menuItem2 = menu.add({ title: "strumenti" });
    Titanium.API.debug('app://devices/'+Ti.App.devicetype+'/ic_menu_cut.png');
    menuItem2.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_cut.png');
    menuItem2.addEventListener("click", function(e) {
        
				var winup = Titanium.UI.createWindow({
				url:'windows/utility.js',
				title:'strumenti'
			});
			tabGroupP1.activeTab.open(winup,{animated:true});


    });      
    
    
};



});









WinAbout.addEventListener('open', function(e)
{

// CREATE ANDROID OPTIONS MENU (ABOUT)
var activity = WinAbout.activity;
activity.onCreateOptionsMenu = function(e) {
    var menu = e.menu;
    var menuItem = menu.add({ title: "Impostazioni" });
    menuItem.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_preferences.png');
    menuItem.addEventListener("click", function(e) {
        Titanium.UI.Android.openPreferences();
    });
    
    
    var menuItem2 = menu.add({ title: "strumenti" });
    menuItem2.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_cut.png');
    menuItem2.addEventListener("click", function(e) {
        
				var winup = Titanium.UI.createWindow({
				url:'windows/utility.js',
				title:'strumenti'
			});
			tabGroupP1.activeTab.open(winup,{animated:true});


    });          
    
};
});

WinHelp.addEventListener('open', function(e)
{

// CREATE ANDROID OPTIONS MENU (HELP)
var activity = WinHelp.activity;
activity.onCreateOptionsMenu = function(e) {
    var menu = e.menu;
    var menuItem = menu.add({ title: "Impostazioni" });
    menuItem.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_preferences.png');
    menuItem.addEventListener("click", function(e) {
        Titanium.UI.Android.openPreferences();
    });
    

    var menuItem2 = menu.add({ title: "strumenti" });
    menuItem2.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_cut.png');
    menuItem2.addEventListener("click", function(e) {
        
				var winup = Titanium.UI.createWindow({
				url:'windows/utility.js',
				title:'strumenti'
			});
			tabGroupP1.activeTab.open(winup,{animated:true});


    });         
    
};
});




////////////////////////////////////////////////////////////////////


// longclick sulla riga città (PREFERITI)
TableViewCity.addEventListener('longclick', function(e) {

	// città selezionata
	var selcity=TableViewCity.data[0].rows[e.index].city;
	
	if(selcity=='none') {return;}
	
	// controllo che non sia già nei preferiti
	if(in_array(favcity,selcity))
	{
		//c'è, per cui la tolgo
		var newrowimage='app://listdot.png'; // tolgo la stellina
		RemoveElementFromArray(favcity,selcity) //Elimino dall'array
	 	Titanium.App.Properties.setList('favcity',favcity);	//scrivo in preferenze
	 	var toastmsg=selcity+' rimossa dai preferiti';				
		
	} else {
		
		// non c'è, la aggiungo
		var newrowimage='app://star.png'; // e metto la stellina
		favcity.push(selcity);
	 	Titanium.App.Properties.setList('favcity',favcity);	//scrivo in preferenze
	 	var toastmsg=selcity+' aggiunta ai preferiti';	
		
	}
	

	//ricreo i dati della riga
	var row = Titanium.UI.createTableViewRow({hasChild:true,city:e.row.city,escort_cat:e.row.escort_cat,trans_cat:e.row.trans_cat,backgroundColor:e.row.backgroundColor});
	var iconstar = Titanium.UI.createImageView({image:newrowimage,left:0,height:24,width:24,top:8});	
	var label = Titanium.UI.createLabel({font:{fontSize:font26, fontFamily:'Arial'},height:'auto',width:'auto',left:28,top:0,color:'#000',bottom:10,text:e.row.city});
	row.add(iconstar);
	row.add(label);			
	TableViewCity.updateRow(e.index,row);	
	
	// faccio un toast!!
	var toast = Titanium.UI.createNotification({
    duration: 2000,
    message: toastmsg
	});
	toast.show();
});



TableViewCity.addEventListener('click', function(e)
{
	
	if(e.rowData.city=='none') {return;}
	
	if (e.rowData.city)
	{
		
		Titanium.App.Properties.setInt('lastselectedcity',e.index)
		
		var winescort = Titanium.UI.createWindow({
			url:'windows/xml_rss.js',
			title:"ESCORT & GIRLS "+e.rowData.city,
			city:e.rowData.city,
			catid:e.rowData.escort_cat
		});
		

		var wintrans = Titanium.UI.createWindow({
			url:'windows/xml_rss.js',
			title:"TRANS "+e.rowData.city,
			city:e.rowData.city,
			catid:e.rowData.trans_cat
		});
		
		// create tab group
		var tabGroupP2 = Titanium.UI.createTabGroup();

		// ESCORT 
		var tab2_1 = Titanium.UI.createTab({  
		    icon:'tabescort.png',
		    window:winescort
		});
		

		// TRANS
		var tab2_3 = Titanium.UI.createTab({  
	    icon:'tabtrans.png',
	    window:wintrans
		});
		
		tabGroupP2.addTab(tab2_1);  
		tabGroupP2.addTab(tab2_3);   
		
		// imposto come attiva una tab piena
		
		if(e.rowData.escort_cat != 0) {	var tabattiva=0;} else {var tabattiva=1;}
		
		tabGroupP2.setActiveTab(tabattiva); 

		//////////////////////////////////////////////////
		// MENU PAGINE ESCORT/TRANS
		winescort.addEventListener('open', function(e)
		{
		
		// CREATE ANDROID OPTIONS MENU
		var activity = winescort.activity;
		activity.onCreateOptionsMenu = function(e) {
		    var menu = e.menu;
		    var menuItem = menu.add({ title: "Impostazioni" });
		    menuItem.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_preferences.png');
		    menuItem.addEventListener("click", function(e) {
		        Titanium.UI.Android.openPreferences();
		    });
		};
		});



		wintrans.addEventListener('open', function(e)
		{
		
		// CREATE ANDROID OPTIONS MENU
		var activity = wintrans.activity;
		activity.onCreateOptionsMenu = function(e) {
		    var menu = e.menu;
		    var menuItem = menu.add({ title: "Impostazioni" });
		    menuItem.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_preferences.png');
		    menuItem.addEventListener("click", function(e) {
		        Titanium.UI.Android.openPreferences();
		    });
		};
		});


		//////////////////// MENU FINE //////////////////////////


		tabGroupP2.open();
		
 
	}
});




//**********************************************
// add table view to the window

WinCity.add(TableViewCity);

//var data = [{title:"Row 1"},{title:"Row 2"}]; 
//var table = Titanium.UI.createTableView({data:data});

//WinCity.add(table);



		// create tab group
		var tabGroupP1 = Titanium.UI.createTabGroup({bottom:-50});


		var tab1 = Titanium.UI.createTab({  
		    window:WinNews,
		    icon:'tab1.png'
		});


		var tab2 = Titanium.UI.createTab({  
		    window:WinCity,
		    icon:'tab2.png'
		});
		
		var tab3 = Titanium.UI.createTab({  
		    window:WinAbout,
		    icon:'tab3.png'
		});
		
		var tab4 = Titanium.UI.createTab({  
		    window:WinHelp,
		    icon:'tab4.png'
		});

		
	if(showfirst=='1')
	{
		tabGroupP1.addTab(tab1); 
		tabGroupP1.addTab(tab2);  
 	} else {
 	
 		tabGroupP1.addTab(tab2); 
		tabGroupP1.addTab(tab1);  	
 	}
 
		tabGroupP1.addTab(tab3);
		tabGroupP1.addTab(tab4);



// timeout solo se verticale
if(pWidth > pHeight) {var aspetta=0;} else {var aspetta=2000;} // 2000 in produzione

setTimeout(function() {
    tabGroupP1.open();
}, aspetta);


//////////////////////////////////////////////////////////

// funzione in_array
function in_array(a,search) {
    for(var i = 0, l = a.length; i < l; i++) {
        if(a[i] == search) {
            return true;
        }
    }
    return false;
}

// funzione RemoveElementFromArray
function RemoveElementFromArray(a,search) {
    for(var i = 0, l = a.length; i < l; i++) {
        if(a[i] == search) {
            a.splice(i, 1);
        }
    }
}



function SetPrivacySD() {
	var dir = Ti.Filesystem.externalStorageDirectory;
	
	var name = 'photo.jpg';
	var file = Ti.Filesystem.getFile(dir, name);
	if (file.exists()) { file.deleteFile(); }
	
	
	var name = '.nomedia';
	var file = Ti.Filesystem.getFile(dir, name);
	if (!file.exists())
	 {
	 	file.write('\n');
	 	
	 }



};



function checkReminderContest() {
    var now = new Date().getTime();
    var remindPlusOne = Ti.App.Properties.getString('remindPlusOne');
    if (!remindPlusOne) {
        Ti.App.Properties.setString('remindPlusOne', now);
    }
    else if (remindPlusOne < now) {
        var alertDialog = Titanium.UI.createAlertDialog({
            title: 'Google +1',
            message: 'Usa 10 secondi del tuo tempo per renderci ancora più grandi, clicca su +1',
            buttonNames: ['OK', 'magari più tardi', 'No, grazie'],
            cancel: 2
        });
        alertDialog.addEventListener('click', function(evt) {
            switch (evt.index) {
                case 0:
                    Ti.App.Properties.setString('remindPlusOne', Number.MAX_VALUE);
                    Ti.Platform.openURL('http://www.pablitoescort.com/plusone.php');
                    break;
                case 1:
                    // "Remind Me Later"? Ok, we'll remind them tomorrow when they launch the app.
                    Ti.App.Properties.setString('remindPlusOne', now + (1000 * 60 * 60 * 24));
                    break;
                case 2:
                   // no grazie? vabbè... 
                   Ti.App.Properties.setString('remindPlusOne', Number.MAX_VALUE);
                    break;
            }
        });
        alertDialog.show();
    }
}



