var winGallery = Ti.UI.currentWindow;




// dimensioni schermo in pixel indipendenti dall'orientamento
var pWidth = Ti.Platform.displayCaps.platformWidth;
var pHeight = Ti.Platform.displayCaps.platformHeight;
Ti.App.SCREEN_WIDTH = (pWidth > pHeight) ? pHeight : pWidth;
Ti.App.SCREEN_HEIGHT = (pWidth > pHeight) ? pWidth : pHeight;




// lista 1,x,y,2,x,y ... 1,335,503,2,335,503,3,751,500,4,751,500,5,751,500
var imageinfo = winGallery.key;
var institle = winGallery.title;


var gid=winGallery.guid;
var folder=winGallery.folder;


// salto diretto su una foto
var jumpto=winGallery.jumpto;

// array con le info delle foto
imageinfo = imageinfo.split(",");

// immagine  corrente 
var currentimage=jumpto;


// ***********  ORIENTATION **************

// initialize to all modes
winGallery.orientationModes = [
	Titanium.UI.PORTRAIT,
	Titanium.UI.UPSIDE_PORTRAIT,
	Titanium.UI.LANDSCAPE_LEFT,
	Titanium.UI.LANDSCAPE_RIGHT,
	Titanium.UI.FACE_UP,
	Titanium.UI.FACE_DOWN
]; 



// apertura prima finestra
winGallery.addEventListener('open', function(e)
{


// CREATE ANDROID OPTIONS MENU


var activity = winGallery.activity;
activity.onCreateOptionsMenu = function(e) {
    var menu = e.menu;
    var menuItem = menu.add({ title: "Anteprime" });
    menuItem.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_slideshow.png');
    menuItem.addEventListener("click", function(e) {
        
        // Click!
		if(winGallery.fromparent=='scheda')
		{
			var wins = Titanium.UI.createWindow({
				url:'windows/thumbs.js',
				key:winGallery.key,
				guid:winGallery.guid,
				backgroundColor: '#333333',
				title:institle,
				folder:folder,
				fromparent:'gallery',
				navBarHidden:true
			});
			Titanium.UI.currentTab.open(wins,{animated:true});
		} else {
			
			// provengo già dalle thumb, per cui basta che chiudo
		   winGallery.remove(scrollView); 
		   winGallery.close();
			
		}
        
    });
    


// preferenze: Zoom sempre attivo: true / false
if(Titanium.App.Properties.hasProperty("alwayszoom")!= null)
 {
 	var alwayszoom = Titanium.App.Properties.getBool("alwayszoom");
 } 
if(alwayszoom==null){alwayszoom = false;}

    
// niente menu zoom sui tablet a meno di non aver forzato dalle opzioni
 if(Ti.App.SCREEN_WIDTH < 600 || alwayszoom)
{   
   var menuItem2 = menu.add({ title: "Zoom" });
    menuItem2.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_zoom.png');
    menuItem2.addEventListener("click", function(e) {
        
        // Click! 2
		var webview = Titanium.UI.createWebView({
			url:'http://www.pablitoescort.com/photo/'+gid+'/'+folder+'/gallery/'+imageinfo[currentimage*3]+'.jpg',
			backgroundColor:'#333333',
			scalesPageToFit: false
			});
	    
	    var webwindow = Titanium.UI.createWindow();
	    webwindow.add(webview);
	    webwindow.open({modal:true});	
    });    
 }   
    
    
// share
   var menuItem3 = menu.add({ title: "Condividi" });
    menuItem3.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_share.png');
    menuItem3.addEventListener("click", function(e) {
        
        // Click! 3
        ShareRemoteFile('http://www.pablitoescort.com/photo/'+gid+'/'+folder+'/gallery/'+imageinfo[currentimage*3]+'.jpg',gid,winGallery.title);

    });       
    
    
    
};

 
});



//
// orientation change listener
//

Ti.Gesture.addEventListener('orientationchange',function(e)
{

// se ruoto il device, ridimensiono la view
// nasconderla prima di ruotarla velocizza l'operazione e risolve il
// problema del refresh
scrollView.hide; 

	var current = scrollView.currentPage;

	var imindex=0;
	for(var i=0;i<imageinfo.length;i=i+3)
	{

		var SourceWidth  = scrollView.views[imindex].width;
		var SourceHeight = scrollView.views[imindex].height;
		
		var resized = getResized(SourceWidth,SourceHeight);

		var FinalWidth=resized[0];
		var FinalHeight=resized[1];
		
		scrollView.views[imindex].width=FinalWidth;
		scrollView.views[imindex].height=FinalHeight;
		
		imindex++;	
	}
		

scrollView.show;
		
});





// ******************************************
// carico le immagini
// *****************************************

var views = [];
var imgcount=0;

for(var i=0;i<imageinfo.length;i=i+3)
{
	
var SourceWidth  = parseInt(imageinfo[i+1]);
var SourceHeight = parseInt(imageinfo[i+2]);
	

var resized = getResized(SourceWidth,SourceHeight);

FinalWidth=resized[0];
FinalHeight=resized[1];
	
    
    var ImageV=Ti.UI.createImageView({
        image: 'http://www.pablitoescort.com/photo/'+gid+'/'+folder+'/gallery/'+imageinfo[i]+'.jpg',
        width: FinalWidth,
        height:FinalHeight     

    })
    

    views.push(ImageV);
    imgcount++;
}

//**********************************************



var timgcount=imgcount.toString();

var humanpage=(jumpto+1).toString();

winGallery.title=institle+" "+humanpage+"/"+imgcount;

var scrollView = Titanium.UI.createScrollableView({
    views: views,
    currentPage:jumpto,
    top: 0, right: 0, bottom: 0, left: 0
})


winGallery.add(scrollView);



// *****************
// EVENTI

scrollView.addEventListener('scroll', function(e)
{

    var humanpage=(e.currentPage+1).toString();
    currentimage=e.currentPage;
    winGallery.title=institle+" "+humanpage+"/"+imgcount;
});


winGallery.addEventListener("focus", function(e){
	
	if(Ti.App.CURRENTPIC>=0)
	 {
	 	scrollView.currentPage=Ti.App.CURRENTPIC;
	 	Ti.App.CURRENTPIC=-1;
	 }
});


// rimuovo la scrollview quando premo back, altrimenti 
// al secondo passaggio ho un Force Close
winGallery.addEventListener("android:back", function(e){
   winGallery.remove(scrollView); 
   winGallery.close();
});


//////////////////////////////////////////////////////////////////////////////

function getResized(SWidth,SHeight)
{

var result = [];
var WindowHeight = Titanium.Platform.displayCaps.platformHeight;
var WindowWidth = Titanium.Platform.displayCaps.platformWidth;


//alert("debug:"+SWidth+" "+SHeight);

var FinalHeight = WindowHeight;
var FinalWidth = WindowWidth;

var ratio = 0;

	
// orizzontale
if(SWidth > SHeight){
    ratio = WindowWidth / SWidth;   
    FHeight = parseInt(SHeight * ratio);    
    FWidth = WindowWidth;    
} else {

// verticale
    ratio = WindowHeight / SHeight; 
    FHeight = WindowHeight;
    FWidth = parseInt(SWidth * ratio);    
}

result[0]=FWidth;
result[1]=FHeight;
	
return result;
	
}





function shareImage(imageUri,myid,mytext) {
    var shareIntent = Ti.Android.createIntent({
        action: Ti.Android.ACTION_SEND,
        type: "image/jpeg",
    });
    shareIntent.putExtraUri(Ti.Android.EXTRA_STREAM, imageUri.nativePath);
    shareIntent.putExtra(Ti.Android.EXTRA_SUBJECT,mytext);
    shareIntent.putExtra(Ti.Android.EXTRA_TEXT,'ho trovato questa foto su http://www.pablitoescort.com/?p='+myid);
    Ti.Android.currentActivity.startActivity(Ti.Android.createIntentChooser(shareIntent, "Share"));
}



function ShareRemoteFile(imageUrl,myid,mytext) {
	var dir = Ti.Filesystem.externalStorageDirectory;
	var name = 'photo.jpg';
	var file = Ti.Filesystem.getFile(dir, name);
	
	var xhr = Titanium.Network.createHTTPClient();
	xhr.open('GET', imageUrl, false);

	
	xhr.onload = function()
	   {
		if (xhr.readyState == 4 && xhr.status == 200) {
			try {
				var f = Ti.Filesystem.getFile(dir, name);
				f.write(xhr.responseData);
				shareImage(f,myid,mytext);
			} catch(e) {
			// non riesco a salvare
			Titanium.API.info('errore salvando photo.jpg');
			}
		} else {
		// non riesco a leggere l'immagine remota
		Titanium.API.info('errore leggendo '+imageUrl);
		}
	  }	
	
	xhr.send();	

};
