var win = Ti.UI.currentWindow;

//********************************************************************
// preferenze: gallery style, 1 = anteprime (default) / 2 = galleria
if(Titanium.App.Properties.hasProperty("gallerystyle")!= null)
 {
 	var gallerystyle = Titanium.App.Properties.getString("gallerystyle");
 } 
if(gallerystyle==null){gallerystyle = '1';}

// preferenze: fullscreengallerypref, true=fullscreen / false=no fullscreen
if(Titanium.App.Properties.hasProperty("fullscreengallerypref")!= null)
 {
 	var fullscreengallerypref = Titanium.App.Properties.getBool("fullscreengallerypref");
 } 
if(fullscreengallerypref==null){fullscreengallerypref = false;}


//********************************************************************


if(gallerystyle=='1') 
{
	var viewer='thumbs.js';
	var openfullscreen=false;
} else {
	var viewer='gallery.js';
	var openfullscreen=fullscreengallerypref;
}


var IS_TABLET=false;

// ***********  ORIENTATION **************

// initialize to all modes
win.orientationModes = [
	Titanium.UI.PORTRAIT,
	Titanium.UI.UPSIDE_PORTRAIT,
	Titanium.UI.LANDSCAPE_LEFT,
	Titanium.UI.LANDSCAPE_RIGHT,
	Titanium.UI.FACE_UP,
	Titanium.UI.FACE_DOWN
]; 


var sizefactor = Ti.App.SCREEN_WIDTH / 480;
var font24 = 24 * sizefactor;
var font26 = 26 * sizefactor;
var font28 = 28 * sizefactor;
var font30 = 30 * sizefactor;
var font38 = 38 * sizefactor;

var fontscheda = 24 * sizefactor;

var space50 = 50 * sizefactor;
var space80 = 80 * sizefactor;
var space100 = 100 * sizefactor;
var space120 = 120 * sizefactor;

var mainpicheight=541*sizefactor;
var mainpicwidth=360*sizefactor;

var tabletfactor=sizefactor/2;

var tableft=0;

var imagetop=10;
var tablefototop=40*sizefactor;


// fix per tablet 
if(Ti.App.SCREEN_WIDTH >=600)
{
	

	var IS_TABLET=true;
	

	var mainpicheight=541*tabletfactor;
	var mainpicwidth=360*tabletfactor;
	var font24 = 24 * tabletfactor;
	var font26 = 26 * tabletfactor;
	var font28 = 28 * tabletfactor;
	var font30 = 30 * tabletfactor;
	var font38 = 40 * tabletfactor;
	
	var space50 = 70 * tabletfactor;
	var space80 = 90 * tabletfactor;
	var space100 = 120 * tabletfactor;
	var space120 = 140 * tabletfactor;
	
	var fontscheda = 30 * tabletfactor;
	
	var imagetop=0;
	var tablefototop=10;

}


// win.key = 1,x,y,2,x,y ... 1,335,503,2,335,503,3,751,500,4,751,500,5,751,500
var imageinfo = win.key;



var institle = win.institle;
var gid=win.guid;
imageinfo = imageinfo.split(",");

// importo json dati scheda
var ascheda = JSON.parse(win.datischeda);

// gestione folder
if(ascheda.folder != '') {var folder='folder/'+ascheda.folder+'/';} else {var folder='';}

// titolo finestra ESCORT/GIRL/TRANS
var cittaricavata = win.title;
cittaricavata=cittaricavata.replace(/escort/i, "");
cittaricavata=cittaricavata.replace(/escort/i, "");

if(ascheda.type=="GIRL" || ascheda.type=="ESCORT"){win.title=ascheda.type+" "+cittaricavata;}



//**************************************************
// tableview per la foto

var PageData = [];

var rowfoto = Ti.UI.createTableViewRow();
rowfoto.color = "black";


//Titanium.API.debug('carico '+'http://www.pablitoescort.com/photo/'+gid+'/'+folder+'main/1.jpg');


// foto
var img = Ti.UI.createImageView({
		image:'http://www.pablitoescort.com/photo/'+gid+'/'+folder+'main/1.jpg',
		left:5,
		top:imagetop,
		height:mainpicheight,
		width:mainpicwidth
	});
	

// carico un default solo se sono off-line
if(!Titanium.Network.online)
{	
	img.defaultImage='../defaultscheda.png';
	img.preventDefaultImage=false;	
} else {
	img.preventDefaultImage=true;		
}
	
rowfoto.add(img);
PageData.push(rowfoto);

// ************* Telefono ********************
var row = Ti.UI.createTableViewRow();

if(ascheda.telefono.substr(0,7)=="vacanza") 
{
	var telimage="../vacanze.png";
	var telfont=font30;
} else {
	var telimage="../icons-phone.png";
	var telfont=font38;
}


var icontel =  Titanium.UI.createImageView({
				image:telimage,
				width:48,
				height:47,
				left:4,
				top:10,
				bottom:4
});

var labeltel = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:telfont,fontWeight:'bold', fontFamily:'Arial'},
		height:'auto',
		width:'360',
		left:60,
		top:10,
		bottom:4,
		text:ascheda.telefono
	});


row.add(icontel);	
row.add(labeltel);	

row.top = 10;
PageData.push(row);

// ************* ID ANNUNCIO ********************
var row = Ti.UI.createTableViewRow();

var labeidannuncio = Ti.UI.createLabel({
		color:'#333333',
		font:{fontSize:font28,fontWeight:'bold', fontFamily:'Arial'},
		height:'auto',
		width:'360',
		left:5,
		top:10,
		bottom:4,
		text:'ID ANNUNCIO: '+gid
	});


row.add(labeidannuncio);	

row.top = 10;
PageData.push(row);


// se è un tablet, concludo la tableview
if(IS_TABLET)
{
	
	
	var tablefoto = Ti.UI.createTableView({
	  backgroundColor:"white",
	  separatorColor:"white",
	  data: PageData,
	  top:tablefototop,
	  right:5,
	  left:0
	});
	
	
	win.add(tablefoto);

// e ne inizio una nuova...
var PageData = [];

// con parametri diversi
var tableft=200*sizefactor;

}


//**************************************************








// **************  età ******************
if(ascheda.eta && ascheda.eta !=0)
{
var rowscheda = Ti.UI.createTableViewRow();
	
	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'bold', fontFamily:'Arial'},
		left:0,
		height:'auto',
		text:'Età:'
	});

	rowscheda.add(label);

	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'light', fontFamily:'Arial'},
		left:space50,
		height:'auto',
		text:ascheda.eta
	});

	rowscheda.add(label);

PageData.push(rowscheda);
}

// **************  base ******************
if(ascheda.base && ascheda.base !=0)
{
var rowscheda = Ti.UI.createTableViewRow();

	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'bold', fontFamily:'Arial'},
		left:0,
		height:'auto',
		text:'Base:'
	});

	rowscheda.add(label);

	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'light', fontFamily:'Arial'},
		left:space80,
		height:'auto',
		width:'auto',
		text:ascheda.base
	});

	rowscheda.add(label);
	
PageData.push(rowscheda);		
}	
	
	
// **************  zona ******************
if(ascheda.zona && ascheda.zona !=0)
{
var rowscheda = Ti.UI.createTableViewRow();
	
	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'bold', fontFamily:'Arial'},
		left:0,
		height:'auto',
		text:'Zona:'
	});

	rowscheda.add(label);

	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'light', fontFamily:'Arial'},
		left:space80,
		height:'auto',
		width:'auto',
		text:ascheda.zona
	});

	rowscheda.add(label);

PageData.push(rowscheda);			
}	
	
// **************  Nazionalità ******************
if(ascheda.nazionalita && ascheda.nazionalita != 0)
{
var rowscheda = Ti.UI.createTableViewRow();
	
	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'bold', fontFamily:'Arial'},
		left:0,
		height:'auto',
		text:'Naz.:'
	});

	rowscheda.add(label);

	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'light', fontFamily:'Arial'},
		left:space80,
		height:'auto',
		width:'auto',
		text:ascheda.nazionalita
	});

	rowscheda.add(label);

PageData.push(rowscheda);		
}	
	
	
	

// **************  Lingue ******************
if(ascheda.lingue && ascheda.lingue !=0)
{
var rowscheda = Ti.UI.createTableViewRow();
	
	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'bold', fontFamily:'Arial'},
		left:0,
		height:'auto',
		text:'Lingue:'
	});

	rowscheda.add(label);

	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'light', fontFamily:'Arial'},
		left:space100,
		height:'auto',
		width:'auto',
		text:ascheda.lingue
	});

	rowscheda.add(label);

PageData.push(rowscheda);			
}		

// **************  Mi piace ******************
if(ascheda.ilike && ascheda.ilike !=0)
{
var rowscheda = Ti.UI.createTableViewRow();
	
	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'bold', fontFamily:'Arial'},
		left:0,
		height:'auto',
		text:'Mi piace:'
	});

	rowscheda.add(label);

	var label = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:fontscheda,fontWeight:'light', fontFamily:'Arial'},
		left:space120,
		height:'auto',
		width:'auto',
		text:ascheda.ilike
	});

	rowscheda.add(label);

PageData.push(rowscheda);		
}


// ************* Testo ********************
var row = Ti.UI.createTableViewRow();

var label = Ti.UI.createLabel({
		font:{fontSize:font24, fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:10,
		color:'black',
		bottom:10,
		text:win.longdesc
	});
	
row.add(label);	
PageData.push(row);



// ************* invito a www.pablitoescort.com ********************
var row = Ti.UI.createTableViewRow();

var labelinvito = Ti.UI.createLabel({
		color:'#576996',
		font:{fontSize:font28,fontWeight:'bold', fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:0,
		top:5,
		bottom:5,
		text:'altro ancora sul sito web...'
	});


	
row.add(labelinvito);	
PageData.push(row);



// ************* IMMAGINI HOT ********************
if(ascheda.hot=='1')
{
var row = Ti.UI.createTableViewRow();


var iconhot =  Titanium.UI.createImageView({
				image:'../hot.png',
				width:46,
				height:47,
				left:4,
				top:10,
				bottom:4
});



var labelhot = Ti.UI.createLabel({
		color:'#bb0102',
		font:{fontSize:font28,fontWeight:'bold', fontFamily:'Arial'},
		height:'auto',
		width:'auto',
		left:60,
		top:10,
		bottom:5,
		text:'IMMAGINI HOT SUL SITO!'
	});

// click sul link al sito
labelhot.addEventListener('click', function(e)
{
//open link 
Titanium.Platform.openURL('http://www.pablitoescort.com/?p='+gid+'&app=1');
});


row.add(iconhot);		
row.add(labelhot);	
PageData.push(row);
}







var headerViewAbout = Ti.UI.createView({height:'auto'});

var headerLabelAbout = Ti.UI.createLabel({
    text:institle,
    height:'auto',
    width:'1920',
	color:'#eff7fa',
    font:{fontFamily:'Arial',fontSize:font24,fontWeight:'bold'},
    textAlign:'center',    
	backgroundImage:'../headerbg.png',
	bottom:0 
});
 



headerViewAbout.add(headerLabelAbout);



var footerGoGallery = Ti.UI.createView({height:'auto'});

var footerLabelGoGallery = Ti.UI.createLabel({
    text:'VAI ALLA GALLERY!',
    height:'60',
    width:'100%',
    color:'#eff7fa',
    font:{fontFamily:'Arial',fontSize:font28,fontWeight:'bold'},
    textAlign:'center',    
	backgroundImage:'../headerbg.png',
	top:20,
	bottom:20 
});

footerGoGallery.add(footerLabelGoGallery);




var table = Ti.UI.createTableView({
  backgroundColor:"white",
  separatorColor:"white",
  data: PageData,
  top:0,
  right:0,
  left:tableft,
  headerView:headerViewAbout,
  footerView:footerGoGallery
});





win.add(table);

// click sulla foto
rowfoto.addEventListener('click', function(e)
{
	

	
			var wins = Titanium.UI.createWindow({
					url:'windows/'+viewer,
					key:win.key,
					guid:win.guid,
					backgroundColor: '#333333',
					title:win.institle,
					folder:folder,
					navBarHidden:openfullscreen,
					fullscreen:openfullscreen,
					jumpto:0,
					fromparent:'scheda'
				});
				Titanium.UI.currentTab.open(wins,{animated:true});
});




// click sul footer
footerGoGallery.addEventListener('click', function(e)
{
	

	
			var wins = Titanium.UI.createWindow({
					url:'windows/'+viewer,
					key:win.key,
					guid:win.guid,
					backgroundColor: '#333333',
					title:win.institle,
					folder:folder,
					navBarHidden:openfullscreen,
					fullscreen:openfullscreen,
					jumpto:0,
					fromparent:'scheda'
				});
				Titanium.UI.currentTab.open(wins,{animated:true});
});


// click sul telefono
labeltel.addEventListener('click', function(e)
{
//open link 
Titanium.Platform.openURL('tel:'+ascheda.telefono);
});

// click sul link al sito
labelinvito.addEventListener('click', function(e)
{
//open link 
Titanium.Platform.openURL('http://www.pablitoescort.com/?p='+gid+'&app=1');
});



// apertura prima finestra
win.addEventListener('open', function(e)
{

// CREATE ANDROID OPTIONS MENU
var activity = win.activity;
activity.onCreateOptionsMenu = function(e) {
    var menu = e.menu;    
    
// share
   var menuItem = menu.add({ title: "Condividi" });
    menuItem.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_share.png');
    menuItem.addEventListener("click", function(e) {
        
        // Click! 
        ShareRemoteFile('http://www.pablitoescort.com/photo/'+gid+'/'+folder+'/main/1.jpg',gid,win.institle);

    });       
    
    
    
};

 
});







function shareImage(imageUri,myid,mytext) {
    var shareIntent = Ti.Android.createIntent({
        action: Ti.Android.ACTION_SEND,
        type: "image/jpeg",
    });
    shareIntent.putExtraUri(Ti.Android.EXTRA_STREAM, imageUri.nativePath);
    shareIntent.putExtra(Ti.Android.EXTRA_SUBJECT,mytext);
    shareIntent.putExtra(Ti.Android.EXTRA_TEXT,'ho trovato questo annuncio su http://www.pablitoescort.com/?p='+myid);
    Ti.Android.currentActivity.startActivity(Ti.Android.createIntentChooser(shareIntent, "Share"));
}



function ShareRemoteFile(imageUrl,myid,mytext) {
	var dir = Ti.Filesystem.externalStorageDirectory;
	var name = 'photo.jpg';
	var file = Ti.Filesystem.getFile(dir, name);
	
	var xhr = Titanium.Network.createHTTPClient();
	xhr.open('GET', imageUrl, false);

	
	xhr.onload = function()
	   {
		if (xhr.readyState == 4 && xhr.status == 200) {
			try {
				var f = Ti.Filesystem.getFile(dir, name);
				f.write(xhr.responseData);
				shareImage(f,myid,mytext);
				//imgUrl = f.nativePath;
			} catch(e) {
			// non riesco a salvare
			Titanium.API.info('errore salvando photo.jpg');
			}
		} else {
		// non riesco a leggere l'immagine remota
		Titanium.API.info('errore leggendo '+imageUrl);
		}
	  }	
	
	xhr.send();	

};
