var ThumbGalleryWin = Ti.UI.currentWindow;



//********************************************************************
// preferenze: fullscreengallerypref, true=fullscreen / false=no fullscreen
if(Titanium.App.Properties.hasProperty("fullscreengallerypref")!= null)
 {
 	var fullscreengallerypref = Titanium.App.Properties.getBool("fullscreengallerypref");
 } 
if(fullscreengallerypref==null){fullscreengallerypref = false;}


//********************************************************************



// lista 1,x,y,2,x,y ... 1,335,503,2,335,503,3,751,500,4,751,500,5,751,500
var imageinfo = ThumbGalleryWin.key;
imageinfo = imageinfo.split(",");

var institle = ThumbGalleryWin.title;
var gid=ThumbGalleryWin.guid;
var folder=ThumbGalleryWin.folder;
var fromparent = ThumbGalleryWin.fromparent;

// ***********  ORIENTATION **************

// initialize to all modes
ThumbGalleryWin.orientationModes = [
	Titanium.UI.PORTRAIT,
	Titanium.UI.UPSIDE_PORTRAIT,
	Titanium.UI.LANDSCAPE_LEFT,
	Titanium.UI.LANDSCAPE_RIGHT,
	Titanium.UI.FACE_UP,
	Titanium.UI.FACE_DOWN
]; 


// carico le immagini
var ImageData=LoadAllImages();

var tablefoto = Ti.UI.createTableView({
  backgroundColor:"black",
  separatorColor:"black",
  data:ImageData 
});

ThumbGalleryWin.add(tablefoto);


////////////////////////////////////////////////////////////////////////////

function LoadAllImages()
{
	
var PageData = [];
var imgcount=0;	
	
// adatto alla larghezza dello schermo relativa all'orientamento
var screen=Ti.Platform.displayCaps.platformWidth;
var xfactor=(screen-50)/4;
var yfactor=xfactor*1.5;	
	
var inrow=0;


for(var i=0;i<imageinfo.length;i=i+3)
{

		var SourceWidth  = parseInt(imageinfo[i+1]);
		var SourceHeight = parseInt(imageinfo[i+2]);
		
		if (inrow==0){var rowfoto = Ti.UI.createTableViewRow();}
					
		// verticale (inrow = 1)
		if(SourceHeight>SourceWidth)
		{
			
		   
		    var img=Ti.UI.createImageView({
		        image: 'http://www.pablitoescort.com/photo/'+gid+'/'+folder+'/gallery/'+imageinfo[i]+'.jpg',
		        width: xfactor,
		        height:yfactor,
		        top:10,
		        clickName:imgcount,
		        left:(xfactor*inrow)+(10*(inrow+1))
		    })
		    
			rowfoto.add(img);
			inrow++;

			
		}
		
		
		// orizzontale (inrow = 2)
		if(SourceHeight<SourceWidth)
		{
		   
		    var img=Ti.UI.createImageView({
		        image: 'http://www.pablitoescort.com/photo/'+gid+'/'+folder+'/gallery/'+imageinfo[i]+'.jpg',
		        width: (xfactor*2)+10,
		        height:yfactor,
		        top:10,
		        clickName:imgcount,
		        left:(xfactor*inrow)+(10*(inrow+1))
		    })
		    
			rowfoto.add(img);
			inrow++;inrow++;

		}

		
		
			// riga piena!
			if(inrow==4) 
			{ 
				inrow=0;
				PageData.push(rowfoto);
		    }
		    
		    imgcount++;

}

// se sono uscito senza finire la riga, la chiudo
if(inrow>0) {PageData.push(rowfoto);}

return PageData;

}


//
// orientation change listener
//

Ti.Gesture.addEventListener('orientationchange',function(e)
{
		
		var ImageData=LoadAllImages();
		tablefoto.setData(ImageData);
	
});


// click sulle thumb
tablefoto.addEventListener('click', function(e)
{

// ho cliccato qualcosa di valido?
if(e.source.clickName >= 0)
 {	 	
	if(fromparent=='thumb')
	{
	Ti.App.CURRENTPIC=e.source.clickName;
	ThumbGalleryWin.close();
	} else {
	
	var winsp = Titanium.UI.createWindow({
		url:'windows/gallery.js',
		imgsource:e.source.clickName,
		guid:gid,
		jumpto:e.source.clickName,
		fromparent:'thumbs',
		key:ThumbGalleryWin.key,
		title:ThumbGalleryWin.title,
		folder:ThumbGalleryWin.folder,
		backgroundColor: '#333333',
		navBarHidden:fullscreengallerypref,
		fullscreen:fullscreengallerypref
	});
	Titanium.UI.currentTab.open(winsp,{animated:true});
	}
 }

});




// CREATE ANDROID OPTIONS MENU
// apertura prima finestra
ThumbGalleryWin.addEventListener('open', function(e)
{

var activity = ThumbGalleryWin.activity;
activity.onCreateOptionsMenu = function(e) {
    var menu = e.menu;
    

     
	// share
   var menuItem2 = menu.add({ title: "Condividi" });
    menuItem2.setIcon('app://devices/'+Ti.App.devicetype+'/ic_menu_share.png');
    menuItem2.addEventListener("click", function(e) {
        
        // Click! 
        ShareRemoteFile('http://www.pablitoescort.com/photo/'+gid+'/'+folder+'/main/1.jpg',gid,ThumbGalleryWin.title);

    });       
    
    
    
};
 
});







function shareImage(imageUri,myid,mytext) {
    var shareIntent = Ti.Android.createIntent({
        action: Ti.Android.ACTION_SEND,
        type: "image/jpeg",
    });
    shareIntent.putExtraUri(Ti.Android.EXTRA_STREAM, imageUri.nativePath);
    shareIntent.putExtra(Ti.Android.EXTRA_SUBJECT,mytext);
    shareIntent.putExtra(Ti.Android.EXTRA_TEXT,'ho trovato questo annuncio su http://www.pablitoescort.com/?p='+myid);
    Ti.Android.currentActivity.startActivity(Ti.Android.createIntentChooser(shareIntent, "Share"));
}



function ShareRemoteFile(imageUrl,myid,mytext) {
	var dir = Ti.Filesystem.externalStorageDirectory;
	var name = 'photo.jpg';
	var file = Ti.Filesystem.getFile(dir, name);
	
	var xhr = Titanium.Network.createHTTPClient();
	xhr.open('GET', imageUrl, false);

	
	xhr.onload = function()
	   {
		if (xhr.readyState == 4 && xhr.status == 200) {
			try {
				var f = Ti.Filesystem.getFile(dir, name);
				f.write(xhr.responseData);
				shareImage(f,myid,mytext);
				//imgUrl = f.nativePath;
			} catch(e) {
			// non riesco a salvare
			Titanium.API.info('errore salvando photo.jpg');
			}
		} else {
		// non riesco a leggere l'immagine remota
		Titanium.API.info('errore leggendo '+imageUrl);
		}
	  }	
	
	xhr.send();	

};
