Titanium.UI.currentWindow.backgroundColor = '#ffffff';

//**********************************************************************

// preferenze: dimensione del testo, 1 = piccolo / 2 = medio (default) / 3 = grande
if(Titanium.App.Properties.hasProperty("textsizeannunci")!= null)
 {
 	var textsizeannunci = Titanium.App.Properties.getString("textsizeannunci");
 }
 if(textsizeannunci==null){textsizeannunci = 2;}


// preferenze: db cache: true / false
if(Titanium.App.Properties.hasProperty("cachepref")!= null)
 {
 	var cachepref = Titanium.App.Properties.getBool("cachepref");
 } 
if(cachepref==null){cachepref = false;}

//**********************************************************************



sizefactor = Ti.App.SCREEN_WIDTH / 480;

var headertitle=Titanium.UI.currentWindow.title;

var font14 = 14 * sizefactor;
var font16 = 16 * sizefactor;
var font20 = 20 * sizefactor;
var font22 = 22 * sizefactor;
var font24 = 24 * sizefactor;
var font26 = 26 * sizefactor;

var height50 = 50 * sizefactor;

var width120 = 120 * sizefactor;
var width210 = 210 * sizefactor;

var descriptionspc = 28; // spaziatura top della descrizione

// preferenza font
switch (Ti.App.devicetype) {
	case 1:
	var tabletfactor=1;
	break;

	case 2:
	var tabletfactor=1;
	break;

	case 3:
	var tabletfactor=1;
	break;

	case 4:
	var tabletfactor=0.66;
	break;

	case 5:
	var tabletfactor=0.8;
	break;

	case 6:
	var tabletfactor=0.66;
	break;

	case 7:
	var tabletfactor=0.66;
	break;

	
	default:
	var tabletfactor=1;
}	
	

// preferenza font
switch (textsizeannunci) {
  case '1':
    var font14 = 10 * sizefactor * tabletfactor;
	var font20 = 14 * sizefactor * tabletfactor;
	var font24 = 18 * sizefactor * tabletfactor;
  break;

  case '2':
    var font14 = 14 * sizefactor * tabletfactor;
	var font20 = 20 * sizefactor * tabletfactor;
	var font24 = 24 * sizefactor * tabletfactor;
  break;

  case '3':
    var font14 = 16 * sizefactor * tabletfactor;
	var font20 = 22 * sizefactor * tabletfactor;
	var font24 = 26 * sizefactor * tabletfactor;
  break;

  default:
    var font14 = 14 * sizefactor * tabletfactor;
	var font20 = 20 * sizefactor * tabletfactor;
	var font24 = 24 * sizefactor * tabletfactor;
} 


// create table view data object
var data = [];

var myfeed=Titanium.UI.currentWindow.catid;


if(myfeed != 0 && Titanium.Network.online)
{

var actInd = Titanium.UI.createActivityIndicator({
	bottom:10, 
	height:height50,
	width:10,
	style:Titanium.UI.iPhone.ActivityIndicatorStyle.PLAIN
});

	actInd.color = 'white';
	actInd.message = 'Aggiornamento dati...';
	actInd.width = width210;

	




var xhr = Ti.Network.createHTTPClient();
var openfeed="http://www.pablitoescort.com/appfeed/"+myfeed+".xml";
xhr.open("GET",openfeed);
xhr.onload = function()
{
	try
	{
		
	
		// DATABASE
		var db = Titanium.Database.open('pablitodb');
		if(!cachepref){db.execute('DROP TABLE IF EXISTS TBL'+myfeed);}
		if(!cachepref){db.execute('CREATE TABLE IF NOT EXISTS TBL'+myfeed+' (ID INTEGER, TITLE TEXT, DATE TEXT, DESCRIPTION TEXT, MEDIA TEXT, URL TEXT, KEY TEXT, LONGDESC TEXT, MAINTITLE TEXT, GUID TEXT, DATISCHEDA TEXT)');}
				
		actInd.show();
		
		var doc = this.responseXML.documentElement;
		var items = doc.getElementsByTagName("item");
		
		//  channel
		var channels = doc.getElementsByTagName("channel");
		var channel = channels.item(0);
		var x = 0;
		var doctitle = doc.evaluate("//channel/title/text()").item(0).nodeValue;
		var chantitle = channel.getElementsByTagName("title").item(0).textContent;
		for (var c=0;c<items.length;c++)
		{
			var item = items.item(c);
			var thumbnails = item.getElementsByTagName("media:thumbnail");
			if (thumbnails && thumbnails.length > 0)
			{
				var media = thumbnails.item(0).getAttribute("url");
				
				// data (gennaio = 0)
				var dateString = item.getElementsByTagName("pubDate").item(0).textContent;
				var myDate = new Date(dateString);
				var TextDate = myDate.getDate()+"/"+(myDate.getMonth()+1)+"/"+myDate.getFullYear();
							
				var title = item.getElementsByTagName("title").item(0).textContent;			
				var description = item.getElementsByTagName("description").item(0).textContent;
				var datischeda = item.getElementsByTagName("media:credit").item(0).textContent;
							
				if(c % 2 == 1){var rowcolor='#dddbde';} else {var rowcolor='#efefef';}
				
				var row = Ti.UI.createTableViewRow({height:120,backgroundColor:rowcolor,className:'annuncio'});
				var label = Ti.UI.createLabel({
					text:title,
					left:80,
					top:0,
					bottom:60,
					height:'auto',
					width:'auto',
					textAlign:'left',
					color:'#000000',
					font:{fontFamily:'Arial',fontSize:font24,fontWeight:'bold'}
				});
				row.add(label);
				
				var labeldate = Ti.UI.createLabel({
					text:TextDate,
					right:0,
					top:0,
					bottom:90,
					height:'auto',
					textAlign:'right',
					width:'auto',
					color:'#444444',
					font:{fontFamily:'Arial',fontSize:font14}	
				});
				row.add(labeldate);				
				
				
				var labeldesc = Ti.UI.createLabel({
					text:description+"...",
					left:80,
					top:descriptionspc,
					bottom:0,
					height:'auto',
					width:'auto',
					textAlign:'left',
					color:'#333333',
					font:{fontFamily:'Arial',fontSize:font20}
				});
				row.add(labeldesc);
								
				
				var img = Ti.UI.createImageView({
						image:media,
						preventDefaultImage:true,
						left:5,
						height:100,
						width:67
					});

				
				row.add(img);
				
				if(title != 'PROMO')
				{
				data[x++] = row;
				} else {
					
					// banner PROMO
					var row = Ti.UI.createTableViewRow({height:120,backgroundColor:rowcolor,className:'promo'});
					media = media.replace("http://www.pablitoescort.com/images/promo/1/","");
					var promoimage = Titanium.UI.createImageView({url:'http://www.pablitoescort.com/images/promo/'+Ti.App.devicetype+'/'+media});
					//Titanium.API.debug('open '+'http://www.pablitoescort.com/images/promo/'+Ti.App.devicetype+'/'+media);
					row.add(promoimage);
					data[x++] = row;
				}
				
				// passo i dati alla scheda
				row.url = item.getElementsByTagName("link").item(0).textContent;
				row.key = item.getElementsByTagName("media:keywords").item(0).textContent;
				row.longdesc = item.getElementsByTagName("media:description").item(0).textContent;
				row.maintitle = chantitle;
				
				var longguid = item.getElementsByTagName("guid").item(0).textContent;
				longguid = longguid.split(",");
				row.guid = longguid[0];
				
				row.title = title;
				row.datischeda = datischeda;
				

				
				if(!cachepref){db.execute('INSERT INTO TBL'+myfeed+' (ID, TITLE, DATE, DESCRIPTION, MEDIA, URL, KEY, LONGDESC, MAINTITLE, GUID, DATISCHEDA ) VALUES(?,?,?,?,?,?,?,?,?,?,?)',c,row.title,TextDate,description,media,row.url,row.key,row.longdesc,row.maintitle,row.guid,row.datischeda);}

			}
		}
		
		// chiudo il db
		db.close();
		
		
		var tableview = Titanium.UI.createTableView({data:data,backgroundColor:"#f6f6f6",separatorColor:"#6d686c"});
		
		
		var headerLabelView = Ti.UI.createView({height:'auto'});
 
		var headerLabel = Ti.UI.createLabel({
		    text:headertitle,
		    height:'auto',
		    width:'1920',
    		color:'#eff7fa',
		    font:{fontFamily:'Arial',fontSize:font24,fontWeight:'bold'},
		    textAlign:'center',    
			backgroundImage:'../headerbg.png',
			bottom:0 
		});
		 
		headerLabelView.add(headerLabel);
		tableview.headerView=headerLabelView;
		Titanium.UI.currentWindow.add(tableview);
		
		// create table view event listener
		tableview.addEventListener('click', function(e)
		{
			if (e.row.url)
			{
				
				if(e.row.title != 'PROMO')	
				{	
				var win = Titanium.UI.createWindow({
					url:'windows/scheda.js',
					key:e.row.key,
					guid:e.row.guid,
					backgroundColor: '#FFFFFF',
					title:e.row.maintitle,
					institle:e.row.title,
					longdesc:e.row.longdesc,
					datischeda:e.row.datischeda
				});
				Titanium.UI.currentTab.open(win,{animated:true});
				} else {
					Titanium.Platform.openURL(e.row.guid);
				}
			}
		});
				
	
	actInd.hide();	
		
	}
	catch(E)
	{
		alert(E);
	}
};


actInd.show();
Titanium.UI.currentWindow.add(actInd);
xhr.send();



} else {
	
// xhr non ha recuperato dati perchè cat = 0 oppure perchè offline

var db = Titanium.Database.open('pablitodb');
if(tableExists( db, 'TBL'+myfeed ) ) { var istable=true;} else {var istable=false} 

if(!Titanium.Network.online && istable){

// offline: prendo dal db

var rows = db.execute('SELECT * FROM TBL'+myfeed);
var x = 0;
while (rows.isValidRow())
{
	

				if(x % 2 == 1){var rowcolor='#dddbde';} else {var rowcolor='#efefef';}

				var row = Ti.UI.createTableViewRow({height:120,backgroundColor:rowcolor,className:'annuncio'});
				var label = Ti.UI.createLabel({text:rows.fieldByName('TITLE'),left:80,top:0,bottom:60,height:'auto',width:'auto',textAlign:'left',color:'#000000',font:{fontFamily:'Arial',fontSize:font24,fontWeight:'bold'}});
				row.add(label);
				
				var labeldate = Ti.UI.createLabel({text:rows.fieldByName('DATE'),right:0,top:0,bottom:90,height:'auto',textAlign:'right',width:'auto',color:'#444444',font:{fontFamily:'Arial',fontSize:font14}});
				row.add(labeldate);				

				var labeldesc = Ti.UI.createLabel({text:rows.fieldByName('DESCRIPTION')+"...",left:80,top:20,bottom:0,height:'auto',width:'auto',textAlign:'left',color:'#333333',font:{fontFamily:'Arial',fontSize:font20}});
				row.add(labeldesc);
								
				var img = Ti.UI.createImageView({image:rows.fieldByName('MEDIA'),defaultImage:'../default100.png',left:5,height:100,width:67});

				row.add(img);
				data[x++] = row;	
				
				// passo i dati alla scheda
				row.url = rows.fieldByName('URL');
				row.key = rows.fieldByName('KEY');
				row.longdesc = rows.fieldByName('LONGDESC');
				row.maintitle = rows.fieldByName('MAINTITLE');
				row.guid = rows.fieldByName('GUID');
				row.title = rows.fieldByName('TITLE');
				row.datischeda = rows.fieldByName('DATISCHEDA');
	
	rows.next();	

}



		var tableview = Titanium.UI.createTableView({data:data,backgroundColor:"#f6f6f6",separatorColor:"#6d686c"});
		
		
		var headerLabelView = Ti.UI.createView({height:'auto'});
 
		var headerLabel = Ti.UI.createLabel({
		    text:headertitle,
		    height:'auto',
		    width:'1920',
    		color:'#eff7fa',
		    font:{fontFamily:'Arial',fontSize:font24,fontWeight:'bold'},
		    textAlign:'center',    
			backgroundImage:'../headerbg.png',
			bottom:0 
		});
		
		
		 
		headerLabelView.add(headerLabel);
		tableview.headerView=headerLabelView;
		Titanium.UI.currentWindow.add(tableview);
		
		// create table view event listener
		tableview.addEventListener('click', function(e)
		{
			if (e.row.url)
			{
				
				if(e.row.title != 'PROMO')	
				{			
				var win = Titanium.UI.createWindow({
					url:'windows/scheda.js',
					key:e.row.key,
					guid:e.row.guid,
					backgroundColor: '#FFFFFF',
					title:e.row.maintitle,
					institle:e.row.title,
					longdesc:e.row.longdesc,
					datischeda:e.row.datischeda
				});
				Titanium.UI.currentTab.open(win,{animated:true});
				} else {
					Titanium.Platform.openURL(e.row.guid);
				}
			}
		});


		

 
/////////////////// END OFFLINE DB FETCH /////////////////////////////////////

} else {
	
if(!Titanium.Network.online){ var offlineaddon =" (potrebbe essere dovuto al fatto che non sei online e non ci sono dati in cache) ";} else {var offlineaddon ="";}

var avviso = 'Purtroppo non ho trovato nulla come '+Titanium.UI.currentWindow.title+offlineaddon+", ma ci sono nuovi annunci ogni giorno, riprova più avanti... e buona fortuna ;-)";

if(myfeed==9999) {var avviso = "Purtroppo non ho trovato nessuna novità "+offlineaddon}

var data = [{title:avviso, color:'#202020', font:{fontFamily:'Arial',fontSize:font20}, selectedColor:'#fff'}];

// create table view
var tableview = Titanium.UI.createTableView({data:data,backgroundColor:"#f6f6f6",separatorColor:"#6d686c"});

	var headerLabelView = Ti.UI.createView({height:'auto'});
 

		var headerLabel = Ti.UI.createLabel({
		    text:Titanium.UI.currentWindow.title,
		    height:'auto',
		    width:'1920',
    		color:'#eff7fa',
		    font:{fontFamily:'Arial',fontSize:font24,fontWeight:'bold'},
		    textAlign:'center',    
			backgroundImage:'../headerbg.png',
			bottom:0 
		});


		 
		headerLabelView.add(headerLabel);

		tableview.headerView=headerLabelView;

// add table view to the window
Titanium.UI.currentWindow.add(tableview);
	
}	
	
db.close(); 	
	
}

////////////////////////////////////////////////////////////////////////////
// FUNZIONI


function tableExists( dbObj, table) {
    if ( ! dbObj ) {
        return false;
    }
 
    try {
        var rs = dbObj.execute("SELECT count(*) FROM sqlite_master WHERE type = 'table' and name = '" + table + "'");
    }
    catch(e2) {
        return false;
    } 
    if ( (! rs) || (! rs.isValidRow()) || ( rs.field(0) == 0 ) ) {
        return false;
    }
 
    return true;
}




